﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    padding: 0.75rem 1.25rem;
    float: right;
    font-weight: 700;
    line-height: 1;
    text-shadow: 0 1px 0 #fff;
    opacity: .75;
}

svg {
    fill: currentColor;
}

.nav-item.profile a.nav-link {
    color: #f8f9fa;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    /* Set the fixed height of the footer here */
    height: 60px;
    line-height: 60px; /* Vertically center the text there */
}

/* Site guide */

.site_location_map a img
/*, a.areaMap img*/ {
    border: 2px solid;
}

.site_location_map {
    text-align: center;
    margin-top: 1em;
    margin-bottom: 1em;
    position: relative;
}

    .site_location_map .inset_map {
        position: absolute;
        bottom: -5px;
        max-width: 40%;
    }

        .site_location_map .inset_map.bottom_right {
            right: -15px;
        }

        .site_location_map .inset_map.bottom_left {
            left: -15px;
        }

.launch_list li {
    list-style: none;
}

    .launch_list li span.launch {
        background-repeat: no-repeat;
        padding-left: 20px;
    }

        .launch_list li span.launch:not(.closed) {
            background-image: url(/theme/images/mm_20_green.png);
        }

        .launch_list li span.launch.closed {
            background-image: url(/theme/images/mm_20_gray.png);
        }

.popover .launch_list {
    padding-left: 0;
    margin: 8px 0 8px 0;
}

.modal .launch_list {
    padding-left: 0;
    margin: 8px 0 0 0;
}

.table.highlight-row tr.data:hover {
    background-color: rgba(0,0,0,.075);
}

table#sites tr.header-column-names th {
    border: none;
}

table#sites tr.header-area-name td {
    padding-bottom: 0;
    padding-top: 3em;
}

table#sites tr.data ul.launch-list {
    padding-left: 1.2em;
}

.site-closed-text .site-closed-badge {
    margin-top: 0.25em;
    margin-right: .5em;
}

.site-closed-text p:last-child {
    margin-bottom: 0;
}

.environment-header {
    width: 100%;
    background-color: orangered;
    color: white;
    font-size: 200%;
}

blockquote::before {
    content: open-quote;
}

blockquote::after {
    content: close-quote;
}

blockquote {
    quotes: "“" "”" "‘" "’";
}

/*localtime{
    background-color:#ededed;
    text-decoration: underline;
    text-decoration-color: darkgrey;
}*/

.badge-localtime {
    font-size: inherit;
    font-weight: normal;
    background-color: #ededed;
}

.error-message {
    color: red;
    background-color: rgb(255 2 2 / 10%);
}
